Failover Groups - Update
Yük devretme grubunu güncelleştirir.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/failoverGroups/{failoverGroupName}?api-version=2025-01-01
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
failover
|
path | True |
string |
Yük devretme grubunun adı. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır. |
|
server
|
path | True |
string |
Sunucunun adı. |
|
subscription
|
path | True |
string (uuid) |
Hedef aboneliğin kimliği. Değer bir UUID olmalıdır. |
|
api-version
|
query | True |
string minLength: 1 |
Bu işlem için kullanılacak API sürümü. |
İstek Gövdesi
| Name | Tür | Description |
|---|---|---|
| properties.databases |
string[] (arm-id) |
Yük devretme grubundaki veritabanlarının listesi. |
| properties.partnerServers |
Yük devretme grubu için iş ortağı sunucu bilgilerinin listesi. |
|
| properties.readOnlyEndpoint |
Yük devretme grubu örneğinin salt okunur uç noktası. |
|
| properties.readWriteEndpoint |
Yük devretme grubu örneğinin okuma-yazma uç noktası. |
|
| properties.secondaryType |
İş ortağı sunucusunda veritabanları ikincil türü. |
|
| tags |
object |
Kaynak etiketleri. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Azure işlemi başarıyla tamamlandı. |
|
| 202 Accepted |
Kaynak güncelleştirme isteği kabul edildi. Üst Bilgiler
|
|
| Other Status Codes |
Beklenmeyen bir hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Flow.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
| Add database to failover group with standby secondary on partner server. |
| Update failover group |
Add database to failover group with standby secondary on partner server.
Örnek isteği
PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/failoverGroups/failover-group-test-1?api-version=2025-01-01
{
"properties": {
"databases": [
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/databases/testdb-1"
],
"readWriteEndpoint": {
"failoverPolicy": "Automatic",
"failoverWithDataLossGracePeriodMinutes": 120
},
"secondaryType": "Standby"
}
}
Örnek yanıt
{
"name": "failover-group-test-3",
"type": "Microsoft.Sql/servers/failoverGroups",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/failoverGroups/failover-group-test-3",
"location": "Japan East",
"properties": {
"databases": [
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/databases/testdb-1"
],
"partnerServers": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-secondary-server",
"location": "Japan West",
"replicationRole": "Secondary"
}
],
"readOnlyEndpoint": {
"failoverPolicy": "Disabled",
"targetServer": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-secondary-server"
},
"readWriteEndpoint": {
"failoverPolicy": "Automatic",
"failoverWithDataLossGracePeriodMinutes": 120
},
"replicationRole": "Primary",
"replicationState": "CATCH_UP"
}
}
Location: /subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/japaneast/failoverGroupOperationResults/11111111-1111-1111-1111-111111111111
Update failover group
Örnek isteği
PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/failoverGroups/failover-group-test-1?api-version=2025-01-01
{
"properties": {
"databases": [
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/databases/testdb-1"
],
"readWriteEndpoint": {
"failoverPolicy": "Automatic",
"failoverWithDataLossGracePeriodMinutes": 120
}
}
}
Örnek yanıt
{
"name": "failover-group-test-3",
"type": "Microsoft.Sql/servers/failoverGroups",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/failoverGroups/failover-group-test-3",
"location": "Japan East",
"properties": {
"databases": [
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/databases/testdb-1"
],
"partnerServers": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-secondary-server",
"location": "Japan West",
"replicationRole": "Secondary"
}
],
"readOnlyEndpoint": {
"failoverPolicy": "Disabled",
"targetServer": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-secondary-server"
},
"readWriteEndpoint": {
"failoverPolicy": "Automatic",
"failoverWithDataLossGracePeriodMinutes": 120
},
"replicationRole": "Primary",
"replicationState": "CATCH_UP"
}
}
Location: /subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/japaneast/failoverGroupOperationResults/11111111-1111-1111-1111-111111111111
Tanımlar
| Name | Description |
|---|---|
|
created |
Kaynağı oluşturan kimliğin türü. |
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata ayrıntısı. |
|
Error |
Hata yanıtı |
|
Failover |
Yük devretme grubu. |
|
Failover |
İş ortağı sunucusunda veritabanları ikincil türü. |
|
Failover |
Yük devretme grubu örneğinin salt okunur uç noktası. |
|
Failover |
Yük devretme grubu örneğinin okuma-yazma uç noktası. |
|
Failover |
Yük devretme grubu örneğinin yerel çoğaltma rolü. |
|
Failover |
Yük devretme grubu güncelleştirme isteği. |
|
Partner |
Yük devretme grubu için iş ortağı sunucusu bilgileri. |
|
Read |
Yük devretme grubu için salt okunur uç noktanın yük devretme ilkesi. |
|
Read |
Yük devretme grubu için okuma-yazma uç noktasının yük devretme ilkesi. FailoverPolicy Otomatik ise failoverWithDataLossGracePeriodMinutes gereklidir. |
|
system |
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler. |
createdByType
Kaynağı oluşturan kimliğin türü.
| Değer | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorDetail
Hata ayrıntısı.
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi |
ErrorResponse
Hata yanıtı
| Name | Tür | Description |
|---|---|---|
| error |
Hata nesnesi. |
FailoverGroup
Yük devretme grubu.
| Name | Tür | Description |
|---|---|---|
| id |
string (arm-id) |
Kaynağın tam kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| location |
string |
Kaynak konumu. |
| name |
string |
Kaynağın adı |
| properties.databases |
string[] (arm-id) |
Yük devretme grubundaki veritabanlarının listesi. |
| properties.partnerServers |
Yük devretme grubu için iş ortağı sunucu bilgilerinin listesi. |
|
| properties.readOnlyEndpoint |
Yük devretme grubu örneğinin salt okunur uç noktası. |
|
| properties.readWriteEndpoint |
Yük devretme grubu örneğinin okuma-yazma uç noktası. |
|
| properties.replicationRole |
Yük devretme grubu örneğinin yerel çoğaltma rolü. |
|
| properties.replicationState |
string |
Yük devretme grubu örneğinin çoğaltma durumu. |
| properties.secondaryType |
İş ortağı sunucusunda veritabanları ikincil türü. |
|
| systemData |
Azure Resource Manager metadata içeren createdBy ve modifiedBy bilgileri. |
|
| tags |
object |
Kaynak etiketleri. |
| type |
string |
Kaynağın türü. Örneğin "Microsoft. Compute/virtualMachines" veya "Microsoft. Depo/Depolama Hesapları" |
FailoverGroupDatabasesSecondaryType
İş ortağı sunucusunda veritabanları ikincil türü.
| Değer | Description |
|---|---|
| Geo |
Coğrafya |
| Standby |
Bekleme |
FailoverGroupReadOnlyEndpoint
Yük devretme grubu örneğinin salt okunur uç noktası.
| Name | Tür | Description |
|---|---|---|
| failoverPolicy |
Yük devretme grubu için salt okunur uç noktanın yük devretme ilkesi. |
|
| targetServer |
string (arm-id) |
Salt okunur uç noktanın işaret ettiği hedef iş ortağı sunucusu. |
FailoverGroupReadWriteEndpoint
Yük devretme grubu örneğinin okuma-yazma uç noktası.
| Name | Tür | Description |
|---|---|---|
| failoverPolicy |
Yük devretme grubu için okuma-yazma uç noktasının yük devretme ilkesi. FailoverPolicy Otomatik ise failoverWithDataLossGracePeriodMinutes gereklidir. |
|
| failoverWithDataLossGracePeriodMinutes |
integer (int32) |
Okuma-yazma uç noktası için veri kaybıyla yük devretmeden önce yetkisiz kullanım süresi denendi. FailoverPolicy Otomatik ise failoverWithDataLossGracePeriodMinutes gereklidir. |
FailoverGroupReplicationRole
Yük devretme grubu örneğinin yerel çoğaltma rolü.
| Değer | Description |
|---|---|
| Primary |
Birincil |
| Secondary |
Secondary |
FailoverGroupUpdate
Yük devretme grubu güncelleştirme isteği.
| Name | Tür | Description |
|---|---|---|
| properties.databases |
string[] (arm-id) |
Yük devretme grubundaki veritabanlarının listesi. |
| properties.partnerServers |
Yük devretme grubu için iş ortağı sunucu bilgilerinin listesi. |
|
| properties.readOnlyEndpoint |
Yük devretme grubu örneğinin salt okunur uç noktası. |
|
| properties.readWriteEndpoint |
Yük devretme grubu örneğinin okuma-yazma uç noktası. |
|
| properties.secondaryType |
İş ortağı sunucusunda veritabanları ikincil türü. |
|
| tags |
object |
Kaynak etiketleri. |
PartnerInfo
Yük devretme grubu için iş ortağı sunucusu bilgileri.
| Name | Tür | Description |
|---|---|---|
| id |
string (arm-id) |
İş ortağı sunucusunun kaynak tanımlayıcısı. |
| location |
string |
İş ortağı sunucusunun coğrafi konumu. |
| replicationRole |
İş ortağı sunucusunun çoğaltma rolü. |
ReadOnlyEndpointFailoverPolicy
Yük devretme grubu için salt okunur uç noktanın yük devretme ilkesi.
| Değer | Description |
|---|---|
| Disabled |
Disabled |
| Enabled |
Enabled |
ReadWriteEndpointFailoverPolicy
Yük devretme grubu için okuma-yazma uç noktasının yük devretme ilkesi. FailoverPolicy Otomatik ise failoverWithDataLossGracePeriodMinutes gereklidir.
| Değer | Description |
|---|---|
| Manual |
Kılavuz |
| Automatic |
Automatic |
systemData
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
| Name | Tür | Description |
|---|---|---|
| createdAt |
string (date-time) |
Kaynak oluşturma (UTC) zaman damgası. |
| createdBy |
string |
Kaynağı oluşturan kimlik. |
| createdByType |
Kaynağı oluşturan kimliğin türü. |
|
| lastModifiedAt |
string (date-time) |
Kaynağın son değişikliğinin zaman damgası (UTC) |
| lastModifiedBy |
string |
Kaynağı en son değiştiren kimlik. |
| lastModifiedByType |
Kaynağı en son değiştiren kimlik türü. |